Bug 11339 - Installer checks for space on /usr but doesn't on /
Summary: Installer checks for space on /usr but doesn't on /
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-09 20:58 UTC by Mark Neidorff
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-12 15:55:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark Neidorff 2000-05-09 20:58:22 UTC
I've upgraded from 5.2 to 6.2 and run into a problem.  When I started the
upgrade, the installer checked and told me that I didn't have enough free
space on the /usr partition, so I cleared some room and restarted the
install.  This is my partition table:

sda1     /         100Mb
sda2     /home     100Mb
sda3     swap      100Mb
sda4 <extended>
sda5    /usr       1,000Mb
sda6    /usr/src     500Mb
sda7    /usr/local 1,000Mb

The installer told me that it completed successfully. When I tried to start
an X session, I was told that there was no room on /tmp.  I checked and
found that the / partition was filled.  The bug I'm reporting is that it
appears that the installer is supposed to check for available disk space,
but it is not doing so completely.  Also, do I have any options for getting
my system back in working order, short of repartitioning and reinstalling?

Thank you,

Mark Neidorff

Comment 1 Erik Troan 2000-05-12 15:55:59 UTC
If the install didn't complain about being out of disk space, the packages
made it on there -- it does not leave any free space around necessarily. I
suspect you went into root's reserved space (which the installer can use, but
normal users cannot).

I'd thin kabout moving /tmp somewhere a bit bigger.


Note You need to log in before you can comment on or make changes to this bug.